Snoozes in Cloud Monitoring let you prevent alerting policies
from creating [alerts](https://docs.cloud.google.com/monitoring/alerts/incidents-events.md.txt) and sending notifications
during a specific time period, such as a planned maintenance window. You can
create and manage snoozes by using the Google Cloud console, the Google Cloud CLI, or
the Cloud Monitoring API.

For a conceptual overview, see
[Snooze notifications and alerts](https://docs.cloud.google.com/monitoring/alerts/snooze.md.txt).

This feature is supported only for Google Cloud projects.
For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt)
configurations, select the App Hub host project or management project.

## Before you begin

Complete the following in the Google Cloud project that stores your alerting
policy:

1. Ensure that you have the required permissions:

   -

     To get the permissions that
     you need to view and edit snoozes by using the Google Cloud console ,

     ask your administrator to grant you the
     [Monitoring Editor](https://docs.cloud.google.com/iam/docs/roles-permissions/monitoring.md.txt#monitoring.editor) (`roles/monitoring.editor`) IAM role on your project.


     For more information about granting roles, see [Manage access to projects, folders, and organizations](https://docs.cloud.google.com/iam/docs/granting-changing-revoking-access.md.txt).


     You might also be able to get
     the required permissions through [custom
     roles](https://docs.cloud.google.com/iam/docs/creating-custom-roles) or other [predefined
     roles](https://docs.cloud.google.com/iam/docs/roles-overview#predefined).


   -

     To get the permissions that
     you need to view and edit snoozes by using the Cloud Monitoring API ,

     ask your administrator to grant you the
     [Monitoring Snooze Editor](https://docs.cloud.google.com/iam/docs/roles-permissions/monitoring.md.txt#monitoring.snoozeEditor) (`roles/monitoring.snoozeEditor`) IAM role on your project.


     For more information about granting roles, see [Manage access to projects, folders, and organizations](https://docs.cloud.google.com/iam/docs/granting-changing-revoking-access.md.txt).


     You might also be able to get
     the required permissions through [custom
     roles](https://docs.cloud.google.com/iam/docs/creating-custom-roles) or other [predefined
     roles](https://docs.cloud.google.com/iam/docs/roles-overview#predefined).

   For more information about Cloud Monitoring roles,
   see [Control access with Identity and Access Management](https://docs.cloud.google.com/monitoring/access-control.md.txt).
2. If you want to use the Cloud Monitoring API examples in this document, then
   do the following:

   <br />

   1. Create an environment variable, `PROJECT_ID`, to hold the ID of your
      Google Cloud project:

      ```
      PROJECT_ID=PROJECT_ID
      ```
   2. Authenticate to Google Cloud CLI:

      ```
      gcloud auth login
      ```
   3. Set the default Google Cloud project:

      ```
      gcloud config set project ${PROJECT_ID}
      ```
   4. Create an authorization token:

      ```
      ACCESS_TOKEN=`gcloud auth print-access-token`
      ```

      You have to periodically refresh the access token. If commands that
      worked suddenly report that you're unauthenticated, re-issue this
      command.

## Create a snooze

To prevent alerting policies from creating alerts and sending
notifications, create a snooze. When you restrict a snooze to one alerting
policy, the snooze can include [label-based filters](https://docs.cloud.google.com/monitoring/alerts/snooze.md.txt#filter).
If you add label-based filters, then the snooze applies only to those
alerts that match the filters. After you create a snooze, you can't
modify the label-based filter or list of policies the snooze applies to.

### Console

The Google Cloud console provides two ways to create a snooze:

- If you start from the **Alert details** page of an open
  alert, the dialog you complete to create the snooze is
  preconfigured to list your alerting policy. The dialog also lets you select
  labels, which are attached to the snooze as label-based filters.

- If you start from the **Alerting** page, you can create a snooze whose
  criteria lists up to 16 alerting policies. However,
  you can't attach label-based filters to your snooze even when the snooze
  criteria lists one alerting policy.

To create a snooze from an open alert, do the following:

1. In the Google Cloud console, go to the
   **Alerting** page:

   [Go to **Alerting**](https://console.cloud.google.com/monitoring/alerting)

   <br />

   If you use the search bar to find this page, then select the result whose subheading is
   **Monitoring**.
2. In the toolbar of the Google Cloud console, select your Google Cloud project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.
3. In the **Alerts** pane of the **Alerting** page, find your alert and click **Alert summary**.
4. On the **Alert details** page, click **Snooze**, and then select the snooze duration.
5. Optional: To add a label-based filter to your snooze, go to the **Labels**
   section and select one or more labels. A label-based filter can include
   resource and metric labels. When the alerting policy isn't PromQL-based, the
   filter can also include metadata labels.

   Usually, snoozes apply to all alerts created by an alerting policy.
   Filters let you apply the snooze to alerts whose labels match the
   labels in the filter.
6. Click **Snooze**. The snooze now applies to the alerting policy that created
   the alert.

To create a snooze from the **Alerting** page, do the following:

1. In the Google Cloud console, go to the
   **Alerting** page:

   [Go to **Alerting**](https://console.cloud.google.com/monitoring/alerting)

   <br />

   If you use the search bar to find this page, then select the result whose subheading is
   **Monitoring**.
2. In the toolbar of the Google Cloud console, select your Google Cloud project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.
3. On the **Alerting** page, click **Create snooze**.
4. Enter a descriptive name for the snooze. This name is shown on the **Alerting** page.
5. Select a **Start time**. You can enter a specific time or you can start the snooze when the snooze is created.
6. Enter the **Duration**. The value of this field determines how long the snooze lasts.
7. Complete the **Snooze criteria** section. You can use the
   **Alert policies** menu to select the alerting policies to which the
   snooze applies.

   You can add up to 16 alerting policies to a
   snooze.

   After a snooze is created, its criteria can't be modified.

   After you complete the **Snooze criteria** section, the **Create snooze**
   pane lists past alerts that match the criteria.
8. Click **Create**.

### gcloud

The gcloud CLI lets you create a snooze whose criteria lists up to
16 alerting policies. If the
snooze applies to one alerting policy, then you can also include label-based
filters.

To create a snooze, run the
[`gcloud monitoring snoozes create`](https://docs.cloud.google.com/sdk/gcloud/reference/monitoring/snoozes/create) command:

```bash
gcloud monitoring snoozes create --criteria-policies=LIST_OF_POLICIES --display-name=DISPLAY_NAME --start-time=START_TIME --end-time=END_TIME --project=PROJECT_ID --criteria-filter=FILTER
```

Before you run the previous command, replace the following:

- <var translate="no">LIST_OF_POLICIES</var>: The policies to which the snooze applies. If you specify multiple projects, then separate the projects by a comma.
- <var translate="no">PROJECT_ID</var>: The identifier of the project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.
- <var translate="no">DISPLAY_NAME</var>: The name to display in the Google Cloud console.
- <var translate="no">START_TIME</var>: The start time.
- <var translate="no">END_TIME</var> : The end time. The value must be at least one minute later
  than the start time.

  For the start and end times, you must follow the ISO 8601 formatting rules.
  However, you can specify absolute or relative times. The following example
  specifies absolute times. To start a snooze 30 minutes from the
  current time, use
  `--start-time="+PTM30M"`.
- <var translate="no">FILTER</var>: Optional. A label-based filter can be defined when the
  snooze applies to one alerting policy. The filter, which can include
  resource, metric, and metadata labels, applies the snooze to alerts
  with matching labels. When the alerting policy is PromQL-based, the filter
  can't use metadata labels. For more information, see the
  [`gcloud monitoring snoozes create`](https://docs.cloud.google.com/sdk/gcloud/reference/monitoring/snoozes/create) reference page.

For example, the following command creates a snooze for an alerting policy
with an ID of "12345".
The time span of the snooze is the interval from March 1, 2025 through
March 7, 2025.

```bash
gcloud monitoring snoozes create --display-name="Maintenance Week" \
    --criteria-policies="projects/my-project/alertPolicies/12345" \
    --start-time="2025-03-01T03:00:00.0-0500" \
    --end-time="2025-03-07T23:59:59.5-0500" \
    --project=PROJECT_ID
```

The previous example creates the following snooze in `my-project`:

```json
{
  "name": "projects/my-project/snoozes/778899",
  "criteria": {
    "policies": [
      "projects/my-project/alertPolicies/12345"
    ]
  },
  "interval": {
    "startTime": "2025-03-01T03:00:00.0-0500",
    "endTime": "2025-03-07T23:59:59.5-0500"
  },
  "displayName": "Maintenance Week"
}
```

If successful, the response to this command is similar to the following:

```bash
Created snooze [projects/my-project/snoozes/778899]
```

The name of an alerting policy isn't displayed in the Google Cloud console. To
determine the name of an alerting policy, do one of the following:

- Run the `gcloud monitoring policies list` command. The response data of this command includes the name of your alerting policies.
- View the JSON representation of an alerting policy. You can download the JSON representation to your local system by using an option on the **Policy details** page.

### REST

The Cloud Monitoring API lets you create a snooze whose criteria lists up to
16 alerting policies. If the
snooze applies to one alerting policy, then you can also include label-based
filters.

To create a snooze, invoke the [`snoozes.create`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/create.md.txt)
method by issuing a `POST` request to the `Snooze` endpoint.
You must supply a [`snooze`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes.md.txt) object:

```bash
curl -d @my-snooze.json -H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
-X POST https://monitoring.googleapis.com/v3/projects/${PROJECT_ID}/snoozes
```

In the previous expression, `PROJECT_ID` is an environment variable that
stores your project ID. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt)
configurations, select the App Hub host project or management project.

The method returns a [`snooze`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes.md.txt) object. The `"name"` field,
which includes the snooze ID that is generated by Monitoring,
is the only difference between the returned object and the
contents of `my-snooze.json`:

```json
{
  "name": "projects/my-project/snoozes/778899",
  "criteria": {
    "policies": [
      "projects/my-project/alertPolicies/001122"
    ]
  },
  "interval": {
    "startTime": "2022-11-12T19:00:20Z",
    "endTime": "2022-11-12T19:05:20Z"
  },
  "displayName": "Snooze2"
}
```

## Create recurring snoozes

You can configure [Cloud Scheduler](https://docs.cloud.google.com/scheduler/docs/creating.md.txt) to invoke the
Cloud Monitoring API [`projects.snoozes.create`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/create.md.txt) method.
For example, if you have regular maintenance windows, you can use this approach
to create snoozes for them.

## List snoozes

When you create a snooze, it's added to the historical record of snoozes
for your project. This record shows the expired, active, and upcoming
snoozes. You can't remove entries from this record, that is, you can't delete
a snooze. However, from this view, you can display the details about a snooze
and you can perform actions like editing or copying the snooze.

### Console

To view a list of snoozes, do the following:

1. In the Google Cloud console, go to the
   **Alerting** page:

   [Go to **Alerting**](https://console.cloud.google.com/monitoring/alerting)

   <br />

   If you use the search bar to find this page, then select the result whose subheading is
   **Monitoring**.
2. In the toolbar of the Google Cloud console, select your Google Cloud project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.
3. Click **See all snoozes** in the **Snooze** pane.

   The **Snooze** page displays a list of snoozes and a timeline that
   graphically displays your past, upcoming, and active snoozes.
   - To edit, copy, cancel, or end a snooze, use the **More options** menu for the snooze. The snooze state determines which options are available.
   - To list all snoozes, enable **Show past snoozes**. By default, only active and upcoming snoozes are listed.
   - To change the display period for the **Timeline** table, use the **Time range** menu. By default, the table shows data for the next hour; however, you can modify this field to specify past or future time ranges. Expired snoozes are retained for 13 months.
   - To view details about a specific snooze, click **View details**.
   - To view a summary of active snoozes, place your pointer on the shaded area of the **Active** row in the **Timeline** table. The tooltip displays the summary information.
   - To view a graphical representation of active snoozes, expand the **Active** row of the **Timeline** table.

### gcloud

To list the snoozes in your current project, run the
[`gcloud monitoring snoozes list`](https://docs.cloud.google.com/sdk/gcloud/reference/monitoring/snoozes/list) command:

```bash
gcloud monitoring snoozes list --project=PROJECT_ID OPTIONAL_FLAGS
```

Before you run the previous command, replace the following:

- <var translate="no">PROJECT_ID</var>: The identifier of the project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.
- <var translate="no">OPTIONAL_FLAGS</var>: For information about the optional flags, see the [`gcloud monitoring snoozes list`](https://docs.cloud.google.com/sdk/gcloud/reference/monitoring/snoozes/list) reference page.

The response to this command is a list of names of snoozes in the project,
formatted as YAML. For example, the response to this command for the
Google Cloud project with ID `my-project` is a single entry:

```
criteria:
  policies:
  - projects/my-project/alertPolicies/12345
  - projects/my-project/alertPolicies/23451
displayName: Maintenance Week
interval:
  endTime: '2023-03-08T04:59:59Z'
  startTime: '2023-03-01T08:00:00Z'
name: projects/my-project/snoozes/778899
```

To list details about a specific snooze, run the
[`gcloud monitoring snoozes describe`](https://docs.cloud.google.com/sdk/gcloud/reference/monitoring/snoozes/describe) command:

```bash
gcloud monitoring snoozes describe NAME --project=PROJECT_ID
```

For example, to display the details about the snooze with name
`projects/my-project/snoozes/778899`, run the following command:

```bash
gcloud monitoring snoozes describe projects/my-project/snoozes/778899 --project=PROJECT_ID
```

If you provide an invalid <var translate="no">NAME</var> to a `describe` command, then the
response contains an error code of `500` and the following message:

```bash
Internal error encountered. Please retry after a few seconds. If internal errors persist, contact support at https://cloud.google.com/support/docs.
```

### REST

To list all snoozes that belong to a Google Cloud project, invoke the
[`snoozes.list`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/list.md.txt) method:

```bash
curl -H "Authorization: Bearer $ACCESS_TOKEN" \
https://monitoring.googleapis.com/v3/projects/${PROJECT_ID}/snoozes
```

In the previous expression, `PROJECT_ID` is an environment variable that
stores your project ID. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt)
configurations, select the App Hub host project or management project.

The method returns a list of [`snooze`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes.md.txt) objects. For example,
when a project has one snooze, the response to the `snoozes.list` command
is similar to the following:

```json
{
  "name": "projects/my-project/snoozes/778899",
  "criteria": {
    "policies": [
      "projects/my-project/alertPolicies/12345"
    ]
  },
  "interval": {
    "startTime": "2025-03-01T03:00:00.0-0500",
    "endTime": "2025-03-07T23:59:59.5-0500"
  },
  "displayName": "Snooze2"
}
```

To get information about a specific snooze, invoke the
[`snoozes.get`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/get.md.txt) method
and specify the project ID and the snooze ID. In the previous response,
the snooze ID is `2986663705844383744`:

```bash
curl -H "Authorization: Bearer $ACCESS_TOKEN" \
https://monitoring.googleapis.com/v3/projects/${PROJECT_ID}/snoozes/${SNOOZE_ID}
```

The method returns a single [`snooze`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes.md.txt) object:

```json
{
  "name": "projects/my-project/snoozes/778899",
  "criteria": {
    "policies": [
      "projects/my-project/alertPolicies/12345"
    ]
  },
  "interval": {
    "startTime": "2025-03-01T03:00:00.0-0500",
    "endTime": "2025-03-07T23:59:59.5-0500"
  },
  "displayName": "Snooze2"
}
```

## Edit a snooze

You can edit the name and period of an upcoming snooze, and you can edit the
name and end time of an active snooze. For example, when a maintenance window
is rescheduled, you might need to edit a snooze.

You can't edit a past snooze, the criteria of any snooze, or the label-based
filters attached to a snooze.

If you want to schedule a past snooze for a future time period, then copy the
snooze and apply changes to the copy before you select **Create**.

### Console

To edit a snooze, do the following:

1. In the Google Cloud console, go to the
   **Alerting** page:

   [Go to **Alerting**](https://console.cloud.google.com/monitoring/alerting)

   <br />

   If you use the search bar to find this page, then select the result whose subheading is
   **Monitoring**.
2. In the toolbar of the Google Cloud console, select your Google Cloud project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.
3. Click **See all snoozes** in the **Snooze** pane.
4. In the list of snoozes, find the snooze that you want to edit, and then select **Edit snooze** in the **More options** menu.
5. Click **Save** after you complete your changes.

### gcloud

To edit a snooze, run the
[`gcloud monitoring snoozes update`](https://docs.cloud.google.com/sdk/gcloud/reference/monitoring/snoozes/update) command. You can update
the display name, the start time, and the end time:

```bash
gcloud monitoring snoozes update NAME --project=PROJECT_ID OPTIONAL_FLAGS
```

Before you run the previous command, replace the following:

- <var translate="no">NAME</var>: The name of the snooze.
- <var translate="no">PROJECT_ID</var>: The identifier of the project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.
- <var translate="no">OPTIONAL_FLAGS</var>: For information about the optional flags, see the [`gcloud monitoring snoozes update`](https://docs.cloud.google.com/sdk/gcloud/reference/monitoring/snoozes/update) reference page.

For example, to change the display name of the snooze with the name
`projects/my-project/snoozes/778899`, run the following command:

```bash
gcloud monitoring snoozes update projects/my-project/snoozes/778899 --display-name="Maintenance Week" --project=PROJECT_ID
```

### REST

To modify an existing snooze, invoke the [`snoozes.patch`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes/patch.md.txt)
method by issuing a `PATCH` request to the `Snooze` endpoint.
You must supply the revised [`snooze`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes.md.txt) object and include
query parameters that identify which fields are modified. When using curl,
query parameters must be URL-encoded.

For upcoming snoozes, you can modify the name and the period. For active
snoozes, you can modify the name and the end time. You can't modify
past snoozes.

To update the `displayName` of a snooze, create a JSON file,
`my-updated-snooze.json`, which describes the snooze object and updates the
display name. Then, run the following command:

```bash
curl -d @my-updated-snooze.json -H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
-X PATCH https://monitoring.googleapis.com/v3/projects/${PROJECT_ID}/snoozes/${SNOOZE_ID}?updateMask=displayName
```

In the previous expression:

- `PROJECT_ID` is an environment variable that stores the ID of your project.
  For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt)
  configurations, select the App Hub host project or management project.

- `SNOOZE_ID` is an environment variable that stores the ID of the snooze.

The method returns a [`snooze`](https://docs.cloud.google.com/monitoring/api/ref_v3/rest/v3/projects.snoozes.md.txt) object which is identical to the
contents of the file `my-updated-snooze.json`:

```json
{
  "name": "projects/my-project/snoozes/778899",
  "criteria": {
    "policies": [
      "projects/my-project/alertPolicies/12345"
    ]
  },
  "interval": {
    "startTime": "2025-03-01T03:00:00.0-0500",
    "endTime": "2025-03-07T23:59:59.5-0500"
  },
  "displayName": "Snooze2"
}
```

## End or cancel a snooze

If you want to receive notifications for resources that match the criteria
specified in an active snooze, then end the snooze. For example, when planned
maintenance completes more quickly than anticipated, you might want to end a
snooze.

If you have an upcoming snooze that you no longer want, then cancel the snooze.
The cancel operation sets the duration to zero and results in the snooze
transitioning to the **Past** state.

### Console

To end an active snooze or to cancel an upcoming snooze, do the following:

1. In the Google Cloud console, go to the
   **Alerting** page:

   [Go to **Alerting**](https://console.cloud.google.com/monitoring/alerting)

   <br />

   If you use the search bar to find this page, then select the result whose subheading is
   **Monitoring**.
2. In the toolbar of the Google Cloud console, select your Google Cloud project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.
3. Click **See all snoozes** in the **Snooze** pane.
4. In the list of snoozes, find the snooze that you want to end or cancel,
   and then do one of the following:

   - To end an active snooze, select **End now** in the **More options** menu.
   - To cancel an upcoming snooze, select **Cancel snooze** in the **More options** menu.

### gcloud

To end an active snooze or to cancel an upcoming snooze, run the
[`gcloud monitoring snoozes cancel`](https://docs.cloud.google.com/sdk/gcloud/reference/monitoring/snoozes/cancel) command:

```bash
gcloud monitoring snoozes cancel NAME --project=PROJECT_ID
```

Before you run the previous command, replace the following:

- <var translate="no">NAME</var>: The name of the snooze.
- <var translate="no">PROJECT_ID</var>: The identifier of the project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.

For example, to cancel the snooze with the name
`projects/my-project/snoozes/778899`, run the following command:

```bash
gcloud monitoring snoozes cancel projects/my-project/snoozes/778899 --project=PROJECT_ID
```

### REST

To end an active snooze, edit the snooze and set the end time to the
current time. For more information, see [Edit a snooze](https://docs.cloud.google.com/monitoring/alerts/manage-snooze.md.txt#edit).

To cancel an upcoming snooze, edit the snooze and set the end time to the
snooze start time. The start time must be in the future.
For more information, see [Edit a snooze](https://docs.cloud.google.com/monitoring/alerts/manage-snooze.md.txt#edit).

## Copy a snooze

When you want to use an existing snooze as a
template for another snooze, make a copy. When you copy a snooze, the
snooze editor opens with all fields except for the start time
set to the values in the original snooze.
You can modify all fields before you click **Create**.

To copy a snooze by using the console, do the following:

1. In the Google Cloud console, go to the
   **Alerting** page:

   [Go to **Alerting**](https://console.cloud.google.com/monitoring/alerting)

   <br />

   If you use the search bar to find this page, then select the result whose subheading is
   **Monitoring**.
2. In the toolbar of the Google Cloud console, select your Google Cloud project. For [App Hub](https://docs.cloud.google.com/app-hub/docs/overview.md.txt) configurations, select the App Hub host project or management project.
3. Click **See all snoozes** in the **Snooze** pane.
4. In the list of snoozes, find the snooze that you want to edit, and then select **Copy snooze** in the **More options** menu.
5. Apply your modifications to the copy and then click **Create**.

## What's next

- For an overview of alerting, see [Alerting overview](https://docs.cloud.google.com/monitoring/alerts.md.txt).

- For information about notification latency and how the choices for the
  parameters of an alerting policy affect when notifications are sent,
  see [Behavior of metric-based alerting policies](https://docs.cloud.google.com/monitoring/alerts/concepts-indepth.md.txt).

- For information about alerts, see the following documents:

  - [Alerts for metric-based alerting policies](https://docs.cloud.google.com/monitoring/alerts/incidents-events.md.txt)
  - [Alerts for log-based alerting policies](https://docs.cloud.google.com/monitoring/alerts/log-based-incidents.md.txt)